#!/bin/bash
declare -i PERCENT=0
(
if [ -f /run/live/medium/md5sum.txt ];then
    totalLine=$(wc -l /run/live/medium/md5sum.txt | awk '{print $1}')
    num=0
    while read line
    do
	if (echo $line | grep -iq md5sum);then
	    continue
	fi
	if [ $PERCENT -le 100 ];then
	    echo "XXX"
	    echo "check ${line##* }..."
	    echo "XXX"
	    md5=$(md5sum /run/live/medium/${line##* })
	    if [ "${md5%% *}" != "${line%% *}" ];then
		echo "XXX"
		echo "check ${line##* } error!" >/tmp/check_failed
		echo "XXX"
		break
	    fi
	fi
	let num+=1
	let PERCENT=num*100/$totalLine
	echo $PERCENT
    done < /run/live/medium/md5sum.txt
fi
#)
) | dialog --title "check md5..." --gauge "starting to check md5..." 6 100 0
if [ -f /tmp/check_failed ];then
    value=`cat /tmp/check_failed`
    dialog --title "check md5" --msgbox "checksum failed \n  $value "  10 60
else
    dialog --title "check md5" --msgbox "checksum success"  10 60
fi
echo 1 > /proc/sys/kernel/sysrq
echo b > /proc/sysrq-trigger
